searchNodes=[{"doc":"CLOCK with adaptive replacement (CAR) cache, based on the following paper:CAR: Clock with Adaptive ReplacementCAR is a self tuning cache that strives to find a balance between frequently accessed items and recently accessed items.CAR is fairly similar to ARC Adaptive Replacement Cache for which there is a good introductory explanation here: Adaptive Replacement CacheUsageThe cache must be given a name and a max_size when started.{:ok, _pid} = CarCache.start_link(name: :my_cache, max_size: 1_000)After the process has started you can use it based on it's name:&gt; CarCache.get(:my_cache, :foo) nil &gt; CarCache.insert(:my_cache, :foo, :bar) :ok &gt; CarCache.get(:my_cache, :foo) :bar","ref":"CarCache.html","title":"CarCache","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"CarCache.html#child_spec/1","title":"CarCache.child_spec/1","type":"function"},{"doc":"Delete a key from the cacheExampleCarCache.delete(:my_cache, user_id)","ref":"CarCache.html#delete/2","title":"CarCache.delete/2","type":"function"},{"doc":"Fetches the value from the cache if it exists, otherwise executes fallback.The fallback function can return either {:commit, any()} or {:ignore, any()}. If {:commit, any()} is returned, the value will be stored in the cacheExampleCarCache.get(:my_cache, user_id, fn -&gt; case Profile.get(user_id) do {:ok, profile} -&gt; {:commit, profile} {:error, _reason} = error -&gt; {:ignore, error} end end)","ref":"CarCache.html#fetch/3","title":"CarCache.fetch/3","type":"function"},{"doc":"Get a value from the cache, if it exists in the cacheExampleCarCache.get(:my_cache, user_id)","ref":"CarCache.html#get/2","title":"CarCache.get/2","type":"function"},{"doc":"Insert a value into the cache under a given keyExampleCarCache.put(:my_cache, user_id, profile)","ref":"CarCache.html#put/3","title":"CarCache.put/3","type":"function"},{"doc":"Starts a new cache.Options::name - Required.:max_size - Required.","ref":"CarCache.html#start_link/1","title":"CarCache.start_link/1","type":"function"},{"doc":"Data structure representing an CAR cache.","ref":"CarCache.Cache.html","title":"CarCache.Cache","type":"module"},{"doc":"Mark a key as deleted.It will not be returned on a get and will be eventually evicted from the cache as more keys are inserted.","ref":"CarCache.Cache.html#delete/2","title":"CarCache.Cache.delete/2","type":"function"},{"doc":"Get an item from the cache","ref":"CarCache.Cache.html#get/2","title":"CarCache.Cache.get/2","type":"function"},{"doc":"Create a new Cache data structure","ref":"CarCache.Cache.html#new/2","title":"CarCache.Cache.new/2","type":"function"},{"doc":"Insert an item in the cache","ref":"CarCache.Cache.html#put/3","title":"CarCache.Cache.put/3","type":"function"},{"doc":"","ref":"CarCache.Cache.html#t:t/0","title":"CarCache.Cache.t/0","type":"type"},{"doc":"A simple functional zipper list used to approximate a circular buffer.Based on: https://ferd.ca/yet-another-article-on-zippers.html","ref":"CarCache.CircularZipperList.html","title":"CarCache.CircularZipperList","type":"module"},{"doc":"Insert a value before the current cursor and set the cursor to the new value","ref":"CarCache.CircularZipperList.html#insert/2","title":"CarCache.CircularZipperList.insert/2","type":"function"},{"doc":"Get the length of the entire list","ref":"CarCache.CircularZipperList.html#len/1","title":"CarCache.CircularZipperList.len/1","type":"function"},{"doc":"Create a new/empty circular zipper list","ref":"CarCache.CircularZipperList.html#new/0","title":"CarCache.CircularZipperList.new/0","type":"function"},{"doc":"Move the cursor to the next item in the list","ref":"CarCache.CircularZipperList.html#next/1","title":"CarCache.CircularZipperList.next/1","type":"function"},{"doc":"Move the cursor to the previous item in the list","ref":"CarCache.CircularZipperList.html#prev/1","title":"CarCache.CircularZipperList.prev/1","type":"function"},{"doc":"Remove the value at the current cursor","ref":"CarCache.CircularZipperList.html#remove/1","title":"CarCache.CircularZipperList.remove/1","type":"function"},{"doc":"Replace the value at the current cursor","ref":"CarCache.CircularZipperList.html#replace/2","title":"CarCache.CircularZipperList.replace/2","type":"function"},{"doc":"Get the value at the current cursor","ref":"CarCache.CircularZipperList.html#value/1","title":"CarCache.CircularZipperList.value/1","type":"function"},{"doc":"","ref":"CarCache.CircularZipperList.html#t:t/0","title":"CarCache.CircularZipperList.t/0","type":"type"},{"doc":"Data structure representing a &quot;CLOCK&quot;.This implementation uses a circular zipper list to track the clock hand and an ETS table to store the data (and for quick lookups.)","ref":"CarCache.Clock.html","title":"CarCache.Clock","type":"module"},{"doc":"Insert a new key/value behind the clock hand","ref":"CarCache.Clock.html#insert/3","title":"CarCache.Clock.insert/3","type":"function"},{"doc":"Check if the clock contains a given key","ref":"CarCache.Clock.html#member?/2","title":"CarCache.Clock.member?/2","type":"function"},{"doc":"Return a new/empty Clock","ref":"CarCache.Clock.html#new/3","title":"CarCache.Clock.new/3","type":"function"},{"doc":"Pop the next value after the clock hand","ref":"CarCache.Clock.html#pop/1","title":"CarCache.Clock.pop/1","type":"function"},{"doc":"","ref":"CarCache.Clock.html#t:t/0","title":"CarCache.Clock.t/0","type":"type"},{"doc":"Datastructure to represent a LRU list.The structure is approximated with the :queue module.It is O(1) complexity for most operations with the exception of member/2","ref":"CarCache.LRU.html","title":"CarCache.LRU","type":"module"},{"doc":"Drop the the item at the head (the item that has been in the list the longest) of the list","ref":"CarCache.LRU.html#drop/1","title":"CarCache.LRU.drop/1","type":"function"},{"doc":"Insert an item at the tail of the list","ref":"CarCache.LRU.html#insert/2","title":"CarCache.LRU.insert/2","type":"function"},{"doc":"Check if the given key is a membor of the list","ref":"CarCache.LRU.html#member?/2","title":"CarCache.LRU.member?/2","type":"function"},{"doc":"Return a new/empty LRU list","ref":"CarCache.LRU.html#new/0","title":"CarCache.LRU.new/0","type":"function"},{"doc":"","ref":"CarCache.LRU.html#t:t/0","title":"CarCache.LRU.t/0","type":"type"}]